Extending Qt Creator Manual | BuildConfiguration

Extending Qt Creator Manual 4.3.0

# BuildConfiguration Class

(ProjectExplorer::BuildConfiguration)

Inherits: | ProjectExplorer::ProjectConfiguration

- List of all members, including inherited members

## Public Types

enum | BuildType { Unknown, Debug, Profile, Release }

## Public Functions

virtual void | addToEnvironment(Utils::Environment &env) const
Utils::Environment | baseEnvironment() const
QString | baseEnvironmentText() const
Utils::FileName | buildDirectory() const
virtual BuildType | buildType() const = 0
virtual NamedWidget * | createConfigWidget() = 0
virtual QList<NamedWidget *> | createSubConfigWidgets()
virtual QString | disabledReason() const
Utils::Environment | environment() const
virtual bool | isEnabled() const
QList<Core::Id> | knownStepLists() const
Utils::FileName | rawBuildDirectory() const
void | setBuildDirectory(const Utils::FileName &dir)
void | setUseSystemEnvironment(bool b)
void | setUserEnvironmentChanges(const QList<Utils::EnvironmentItem> &diff)
BuildStepList * | stepList(Core::Id id) const
Target * | target() const
bool | useSystemEnvironment() const
QList<Utils::EnvironmentItem> | userEnvironmentChanges() const

- 11 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | buildDirectoryChanged()
void | buildTypeChanged()
void | enabledChanged()
void | environmentChanged()

- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Static Public Members

QString | buildTypeName(BuildType type)

## Protected Functions

| BuildConfiguration(Target *target, Core::Id id)
| BuildConfiguration(Target *target, BuildConfiguration *source)
void | cloneSteps(BuildConfiguration *source)
void | emitEnvironmentChanged()

## Member Type Documentation

### enum BuildConfiguration::BuildType

## Member Function Documentation

### `[protected]` BuildConfiguration::BuildConfiguration(Target *target, Core::Id id)

Default constructs an instance of BuildConfiguration.

### `[protected]` BuildConfiguration::BuildConfiguration(Target *target, BuildConfiguration *source)

Default constructs an instance of BuildConfiguration.

### `[virtual]` void BuildConfiguration::addToEnvironment(Utils::Environment &env) const

### Utils::Environment BuildConfiguration::baseEnvironment() const

### QString BuildConfiguration::baseEnvironmentText() const

### Utils::FileName BuildConfiguration::buildDirectory() const

See also setBuildDirectory().

### `[signal]` void BuildConfiguration::buildDirectoryChanged()

### `[pure virtual]` BuildType BuildConfiguration::buildType() const

### `[signal]` void BuildConfiguration::buildTypeChanged()

### `[static]` QString BuildConfiguration::buildTypeName(BuildType type)

### `[protected]` void BuildConfiguration::cloneSteps(BuildConfiguration *source)

### `[pure virtual]` NamedWidget *BuildConfiguration::createConfigWidget()

### `[virtual]` QList<NamedWidget *> BuildConfiguration::createSubConfigWidgets()

### `[virtual]` QString BuildConfiguration::disabledReason() const

### `[protected]` void BuildConfiguration::emitEnvironmentChanged()

### `[signal]` void BuildConfiguration::enabledChanged()

### Utils::Environment BuildConfiguration::environment() const

### `[signal]` void BuildConfiguration::environmentChanged()

### `[virtual]` bool BuildConfiguration::isEnabled() const

### QList<Core::Id> BuildConfiguration::knownStepLists() const

### Utils::FileName BuildConfiguration::rawBuildDirectory() const

### void BuildConfiguration::setBuildDirectory(const Utils::FileName &dir)

See also buildDirectory().

### void BuildConfiguration::setUseSystemEnvironment(bool b)

See also useSystemEnvironment().

### void BuildConfiguration::setUserEnvironmentChanges(const QList<Utils::EnvironmentItem> &diff)

See also userEnvironmentChanges().

### BuildStepList *BuildConfiguration::stepList(Core::Id id) const

### Target *BuildConfiguration::target() const

### bool BuildConfiguration::useSystemEnvironment() const

See also setUseSystemEnvironment().

### QList<Utils::EnvironmentItem> BuildConfiguration::userEnvironmentChanges() const

See also setUserEnvironmentChanges().